require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_spwebappsiteuseanddeletion',
  dscmeta_resource_friendly_name: 'SPWebAppSiteUseAndDeletion',
  dscmeta_resource_name: 'MSFT_SPWebAppSiteUseAndDeletion',
  dscmeta_resource_implementation: 'MOF',
  dscmeta_module_name: 'SharePointDSC',
  dscmeta_module_version: '5.6.1',
  docs: 'The DSC SPWebAppSiteUseAndDeletion resource type.
         Automatically generated from version 5.6.1',
  features: ['simple_get_filter', 'canonicalize', 'custom_insync'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    validation_mode: {
      type:      'Enum[property, resource]',
      desc:      'Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode (resource).',
      behaviour: :parameter,
      default:   'property',
    },
    dsc_timeout: {
      type:     'Optional[Integer]',
      desc:     'The maximum time in seconds to wait for the DSC resource to complete.',
      behaviour: :parameter,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',

      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_automaticallydeleteunusedsitecollections: {
      type: 'Optional[Boolean]',
      desc: 'Should unused site collection be automatically deleted',


      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'Boolean',
      mof_is_embedded: false,
    },
    dsc_webappurl: {
      type: 'String',
      desc: 'The URL of the web application',

      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_sendunusedsitecollectionnotifications: {
      type: 'Optional[Boolean]',
      desc: 'Should emails be sent to notify site owners of unused site collections',


      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'Boolean',
      mof_is_embedded: false,
    },
    dsc_unusedsitenotificationsbeforedeletion: {
      type: 'Optional[Integer[0, 4294967295]]',
      desc: 'How many days before an unused site is deleted should an email be sent to the owner',


      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'UInt32',
      mof_is_embedded: false,
    },
    dsc_unusedsitenotificationperiod: {
      type: 'Optional[Integer[0, 4294967295]]',
      desc: 'How many days should pass before a site is flagged as unused',


      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'UInt32',
      mof_is_embedded: false,
    },
  },
)
